OPAM-LIST(1)

NAME

opam-list - Display the list of available packages.

SYNOPSIS

opam list [OPTION]... [PATTERNS]...

DESCRIPTION

This command displays the list of available packages, or the list of installed packages if the --installed switch is used.

Unless the --short switch is used, the output format displays one package per line, and each line contains the name of the package, the installed version or -- if the package is not installed, and a short description.

The full description can be obtained by doing opam info <package>. You can search through the package descriptions using the opam search command.

ARGUMENTS

PATTERNS
    List of package patterns.

OPTIONS

-i, --installed
    List installed packages only.

--installed-roots
    Display only the installed roots.

-s, --short
    Output the names separated by one whitespace instead of using the usual formatting.

COMMON OPTIONS

These options are common to all commands.

--debug
    Print debug message on stdout. This is equivalent to setting $OPAMDEBUG to a value greater or equal to 2.

--git-version
    Print the git version if it exists and exit.

--help[=FMT] (default=pager)
    Show this help in format FMT (pager, plain or groff).

--no-base-packages
    Do not install base packages (useful for testing purposes). This is equivalent to setting $OPAMNOBASEPACKAGES to a non-empty string.

-q, --quiet
    Be quiet when installing a new compiler.

-r ROOT, --root=ROOT (absent=/Users/tgazagna/.opam)
    Use ROOT as the current root path. This is equivalent to setting $OPAMROOT to ROOT.

--switch=SWITCH
    Use SWITCH as the current compiler switch. This is equivalent to setting $OPAMSWITCH to SWITCH.

-v, --verbose
    Be more verbose. This is equivalent to setting either $OPAMDEBUG to a value greater or equal to 1 or $OPAMVERBOSE to a non-empty string.

--version
    Show version information.

-y, --yes
    Disable interactive mode and answer yes to all questions that would otherwise be asked to the user. This is equivalent to setting $OPAMYES to a non-empty string.

FURTHER DOCUMENTATION

See http://opam.ocamlpro.com.

AUTHORS

Thomas Gazagnaire <thomas.gazagnaire@ocamlpro.com>

Frederic Tuong <tuong@users.gforge.inria.fr>

Vincent Bernardoff <vb@luminar.eu.org>

Guillem Rieu <guillem.rieu@ocamlpro.com>

BUGS

Check bug reports at https://github.com/OCamlPro/opam/issues.